Explores (Deprecated)

Explore API Reference

Retreive all

get
Query parameters
projectIdstringOptional

The project Id from which to retreive. If not given, then default project is used

folderIdstringOptional

The folder Id acc. to which records will be retrieved. If not given, then all explores will be retrieved

limitstringOptional

The number of records to retrieve. If not given, then by default 1000 explores will be fetched.

Responses
chevron-right
200

List of explores

application/json
idstringRequiredExample: 8aec2615e1c540d2b71129a3a9e5fdc3
namestringRequiredExample: order details
ownerIdstringRequiredExample: 85ae22a39ef14788987f5b915938f050
folderIdstringRequiredExample: 6be53896a0604c0d817f638229f83ac9
scheduledbooleanRequiredExample: true
createTimenumberRequiredExample: 1660439099000
updateTimenumberRequiredExample: 1660445539000
get
/explores
200

List of explores

Retreive

get
Path parameters
idstringRequired

explore id

Responses
chevron-right
200

Details about the explore

application/json
idstringRequiredExample: 8aec2615e1c540d2b71129a3a9e5fdc3
namestringRequiredExample: order details
ownerIdstringRequiredExample: 85ae22a39ef14788987f5b915938f050
folderIdstringRequiredExample: 6be53896a0604c0d817f638229f83ac9
encodedSQLstringRequiredExample: c2VsZWN0ICogZnJvbSB0ZXN0OTk5
createTimenumberRequiredExample: 1660439099000
updateTimenumberRequiredExample: 1660445539000
get
/explores/{id}
200

Details about the explore

Retreive latest success job details

get
Path parameters
idstringRequired

explore id

Responses
chevron-right
200

Details about the latest success job

application/json
startTimenumberRequiredExample: 1660439099000
endTimenumberRequiredExample: 1660445539000
outputPathstringRequiredExample: 8aec2615e1c540d2b71129a3a9e5fdc3
get
/explores/{id}/job/latestsuccess
200

Details about the latest success job

Returns explore result in csv format

get
Path parameters
idstringRequired

explore id

Responses
chevron-right
200

Result in CSV format

text/csv
Responsestring
get
/explores/{id}/download
200

Result in CSV format

Last updated